import React, {useCallback} from 'react';
import {StyleSheet, Text, Pressable} from 'react-native';
import {useNavigation} from '@react-navigation/native';

const Directory = ({bucket, dir}) => {
	const navigation = useNavigation();

	const onPress = useCallback(() => {
		navigation.push('DirectoryDetails', {
			bucket: bucket,
			dir: dir.Prefix,
		});
	}, [navigation, bucket]);

	const slashPos = dir.Prefix.lastIndexOf('/', dir.Prefix.length - 2);

	return (
		<Pressable onPress={onPress} style={styles.root}>
			<Text style={styles.name}>
				{slashPos > 0 ? dir.Prefix.slice(slashPos + 1) : dir.Prefix}
			</Text>
		</Pressable>
	);
};

const styles = StyleSheet.create({
	root: {
		margin: 4,
		backgroundColor: '#CCCCCC',
		borderRadius: 5,
		padding: 12,
	},
	name: {
		fontSize: 14,
		color: '#000000',
	},
});

export default Directory;
