import React, {useCallback} from 'react';
import {StyleSheet, Text, Pressable} from 'react-native';
import {useNavigation} from '@react-navigation/native';

const File = ({bucket, file}) => {
	const navigation = useNavigation();

	const onPress = useCallback(() => {
		navigation.push('FileDetails', {
			bucket: bucket,
			file: file.Key,
		});
	}, [navigation, bucket]);

	const slashPos = file.Key.lastIndexOf('/', file.Key.length - 2);

	return (
		<Pressable onPress={onPress} style={styles.root}>
			<Text style={styles.name}>
				{slashPos > 0 ? file.Key.slice(slashPos + 1) : file.Key}
			</Text>
		</Pressable>
	);
};

const styles = StyleSheet.create({
	root: {
		margin: 4,
		backgroundColor: '#CCCCCC',
		borderRadius: 5,
		padding: 12,
	},
	name: {
		fontSize: 14,
		color: '#000000',
	},
});

export default File;
