import React, {useState, useEffect} from 'react';
import {ScrollView, ToastAndroid} from 'react-native';
import useS3 from '../hooks/useS3';
import Bucket from '../components/Bucket';

const Buckets = () => {
	const s3 = useS3();
	const [buckets, setBuckets] = useState([]);

	useEffect(() => {
		if (s3 && !buckets.length) {
			s3.listBuckets({}, (err, data) => {
				if (err) {
					ToastAndroid.show('Failed to fetch buckets', ToastAndroid.SHORT);
					return;
				}

				setBuckets(data.Buckets);
			});
		}
	}, [s3]);

	return (
		<ScrollView>
			{buckets.map(bucket => (
				<Bucket key={bucket.Name} bucket={bucket} />
			))}
		</ScrollView>
	);
};

export default Buckets;
